package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc安全要求对象 cmc_safe_request
 * 
 * @author cmc
 * @date 2024-07-08
 */
public class CmcSafeRequest extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 常用要求id */
    private Integer requestId;

    /** 安全提示类型（0环境管理要求 1安全生产要求 2信息安全要求） */
    @Excel(name = "安全提示类型", readConverterExp = "0=环境管理要求,1=安全生产要求,2=信息安全要求")
    private String safeType;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    public void setRequestId(Integer requestId) 
    {
        this.requestId = requestId;
    }

    public Integer getRequestId() 
    {
        return requestId;
    }
    public void setSafeType(String safeType) 
    {
        this.safeType = safeType;
    }

    public String getSafeType() 
    {
        return safeType;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("requestId", getRequestId())
            .append("safeType", getSafeType())
            .append("content", getContent())
            .toString();
    }
}
